com.interactivemesh.jfx.importer.obj

## Enum ObjImportOption

- java.lang.Object
- - java.lang.Enum<ObjImportOption>
  - - com.interactivemesh.jfx.importer.obj.ObjImportOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ObjImportOption>

      public enum ObjImportOption
      extends java.lang.Enum<ObjImportOption>

  Import options for the JavaFX OBJ model importer.
  See Also:
    `ObjModelImporter.getOptions()`, `ObjModelImporter.setOptions(java.util.EnumSet)`, `ObjModelImporter.setOptions(ObjImportOption...)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERATE_NORMALS` Normals will be generated based on the given crease angle.
    `MAP_WRITABLEIMAGE` The maps of a `PhongMaterial` object will be of type `WritableImage`.
    `NONE` No option is applied.
    `REVERSE_GEOMETRY` The winding of the triangles will be reversed (counterclockwise <-> clockwise).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjImportOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ObjImportOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ObjImportOption NONE

      No option is applied.

    - #### GENERATE_NORMALS

          public static final ObjImportOption GENERATE_NORMALS

      Normals will be generated based on the given crease angle. The normals or face smoothing groups in the imported file will be ignored. A new set of face smoothing groups will be created afterwards.
      See Also:
        `ObjModelImporter.setCreaseAngle(double)`

    - #### REVERSE_GEOMETRY

          public static final ObjImportOption REVERSE_GEOMETRY

      The winding of the triangles will be reversed (counterclockwise <-> clockwise).

    - #### MAP_WRITABLEIMAGE

          public static final ObjImportOption MAP_WRITABLEIMAGE

      The maps of a `PhongMaterial` object will be of type `WritableImage`.

  - ### Method Detail

    - #### values

          public static ObjImportOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjImportOption c : ObjImportOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjImportOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (C) 2013-2014 InteractiveMesh e.K.